Loading...
Searching...
No Matches
data_t Struct Reference

Data structure that contains the data needed for the project. More...

`#include <data_type.hpp>`

## Public Attributes

double | E = 0.
| The expected energy.
double | M = 0.
| The expected magnetization.
double | E2 = 0.
| The expected variance of the energy.
double | M2 = 0.
| The expected variance of magnetization.
double | M_abs = 0.
| The expected absolute magnetization.

## Detailed Description

Data structure that contains the data needed for the project.

Definition at line 19 of file data_type.hpp.

## Member Data Documentation

## E

double data_t::E = 0.

The expected energy.

Definition at line 20 of file data_type.hpp.

## E2

double data_t::E2 = 0.

The expected variance of the energy.

Definition at line 22 of file data_type.hpp.

## M

double data_t::M = 0.

The expected magnetization.

Definition at line 21 of file data_type.hpp.

## M2

double data_t::M2 = 0.

The expected variance of magnetization.

Definition at line 23 of file data_type.hpp.

## M_abs

double data_t::M_abs = 0.

The expected absolute magnetization.

Definition at line 24 of file data_type.hpp.

The documentation for this struct was generated from the following file:

- include/data_type.hpp